Bug 63154 - New Port: net/p5-Net-Rendezvous -- a set of perl modules to utilize mDNS
Summary: New Port: net/p5-Net-Rendezvous -- a set of perl modules to utilize mDNS
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-02-20 22:50 UTC by Michael Johnson
Modified: 2004-06-23 16:06 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Johnson 2004-02-20 22:50:16 UTC

How-To-Repeat: # This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	net/p5-Net-Rendezvous/
#	net/p5-Net-Rendezvous/pkg-plist
#	net/p5-Net-Rendezvous/pkg-descr
#	net/p5-Net-Rendezvous/distinfo
#	net/p5-Net-Rendezvous/Makefile
#
echo c - net/p5-Net-Rendezvous/
mkdir -p net/p5-Net-Rendezvous/ > /dev/null 2>&1
echo x - net/p5-Net-Rendezvous/pkg-plist
sed 's/^X//' >net/p5-Net-Rendezvous/pkg-plist << 'END-of-net/p5-Net-Rendezvous/pkg-plist'
X%%SITE_PERL%%/Net/Rendezvous.pm
X%%SITE_PERL%%/Net/Rendezvous/Entry.pm
X%%SITE_PERL%%/%%PERL_ARCH%%/auto/Net/Rendezvous/.packlist
X@dirrm %%SITE_PERL%%/%%PERL_ARCH%%/auto/Net/Rendezvous
X@dirrm %%SITE_PERL%%/Net/Rendezvous
X@unexec rmdir %D/%%SITE_PERL%%/%%PERL_ARCH%%/auto/Net 2>/dev/null || true
X@unexec rmdir %D/%%SITE_PERL%%/Net 2>/dev/null || true
END-of-net/p5-Net-Rendezvous/pkg-plist
echo x - net/p5-Net-Rendezvous/pkg-descr
sed 's/^X//' >net/p5-Net-Rendezvous/pkg-descr << 'END-of-net/p5-Net-Rendezvous/pkg-descr'
XThis is Net::Rendezvous, a set of perl modules to utilize mDNS for service
Xdiscovery.  This method of service discovery is branded as Rendezvous by 
XApple Computer.  More information can be found at:
X
Xhttp://www.zeroconf.org/
Xhttp://developer.apple.com/macosx/rendezvous/index.html
X
XThis library is free software; you can redistribute it and/or modify it under 
Xthe same terms as Perl itself.
X
XRendezvous (in this context) is a trademark of Apple Computer, Inc.
X
XWWW: http://search.cpan.org/~chlige/Net-Rendezvous/
END-of-net/p5-Net-Rendezvous/pkg-descr
echo x - net/p5-Net-Rendezvous/distinfo
sed 's/^X//' >net/p5-Net-Rendezvous/distinfo << 'END-of-net/p5-Net-Rendezvous/distinfo'
XMD5 (Net-Rendezvous-0.70.tar.gz) = 2a6b9e3a8394b4650ace52d009f0d79a
XSIZE (Net-Rendezvous-0.70.tar.gz) = 4731
END-of-net/p5-Net-Rendezvous/distinfo
echo x - net/p5-Net-Rendezvous/Makefile
sed 's/^X//' >net/p5-Net-Rendezvous/Makefile << 'END-of-net/p5-Net-Rendezvous/Makefile'
X# New ports collection makefile for:    Net-Rendezvous
X# Date created:                         Fri Feb 20 17:39:48 EST 2004
X# Whom:                                 Michael Johnson <ahze@ahze.net>
X#
X
XPORTNAME=	Net-Rendezvous
XPORTVERSION=	0.70
XCATEGORIES=	net perl5
XMASTER_SITES=	${MASTER_SITE_PERL_CPAN}
XMASTER_SITE_SUBDIR=	Net
XPKGNAMEPREFIX=	p5-
X
XMAINTAINER=	ahze@ahze.net
XCOMMENT=	A set of perl modules to utilize mDNS for service discovery
X
XRUN_DEPENDS=	${SITE_PERL}/Net/Cmd.pm:${PORTSDIR}/net/p5-Net
X
XPERL_CONFIGURE= YES
X
X.include <bsd.port.pre.mk>
X
X.if ${PERL_LEVEL} <= 500600
XIGNORE= "perl 5.6 or higher is required to build this port"
X.endif
X
XMAN3=	Net::Rendezvous::Entry.3 \
X	Net::Rendezvous.3
X
X.include <bsd.port.post.mk>
END-of-net/p5-Net-Rendezvous/Makefile
exit
Comment 1 Michael Johnson 2004-03-16 02:40:12 UTC
update to 0.86 ....

diff -ruN net/p5-Net-Rendezvous.orig/Makefile 
net/p5-Net-Rendezvous/Makefile
--- net/p5-Net-Rendezvous.orig/Makefile	Mon Mar 15 21:35:10 2004
+++ net/p5-Net-Rendezvous/Makefile	Mon Mar 15 21:35:44 2004
@@ -2,9 +2,10 @@
  # Date created:                         Fri Feb 20 17:39:48 EST 2004
  # Whom:                                 Michael Johnson <ahze@ahze.net>
  #
+# $FreeBSD$

  PORTNAME=	Net-Rendezvous
-PORTVERSION=	0.70
+PORTVERSION=	0.86
  CATEGORIES=	net perl5
  MASTER_SITES=	${MASTER_SITE_PERL_CPAN}
  MASTER_SITE_SUBDIR=	Net
diff -ruN net/p5-Net-Rendezvous.orig/distinfo 
net/p5-Net-Rendezvous/distinfo
--- net/p5-Net-Rendezvous.orig/distinfo	Mon Mar 15 21:35:10 2004
+++ net/p5-Net-Rendezvous/distinfo	Mon Mar 15 21:35:49 2004
@@ -1,2 +1,2 @@
-MD5 (Net-Rendezvous-0.70.tar.gz) = 2a6b9e3a8394b4650ace52d009f0d79a
-SIZE (Net-Rendezvous-0.70.tar.gz) = 4731
+MD5 (Net-Rendezvous-0.86.tar.gz) = 8dd5fd580efa323be97cdc533f96f950
+SIZE (Net-Rendezvous-0.86.tar.gz) = 6413
Comment 2 Michael Johnson 2004-03-31 21:54:10 UTC
is there any reason this has not been committed?
is there anything wrong with this port?
I've been using it for over a month and everything seems to be working.

michael
Comment 3 Tilman Keskinoz freebsd_committer 2004-05-02 17:35:47 UTC
Class Changed
From-To: maintainer-update->change-request

New ports PRs are change requests
Comment 4 Oliver Eikemeier freebsd_committer 2004-06-23 16:05:29 UTC
State Changed
From-To: open->closed

Committed, thanks.